#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin>>n>>k;
    int fi,u;
    cin>>fi;
    u=fi;
    for(int i=1;i<n;i++){
        int x;
        cin>>x;
        if(u==k){
            cout << x << endl;
            return 0;
        }
    }

    cout << fi << endl;
    return 0;
}